#ifndef OVERRIDE_ARCHIVE_EXTRACT_H
#define OVERRIDE_ARCHIVE_EXTRACT_H

#include "headers.h"

/* Return 0, no special handling
   Return 1, advance file as needed, do not write anything
   Return 2, do not run any extract code
 */
typedef int (*archive_filter)( int fdin, OVRDA_AllHeader *hdr, char *filename );

int archive_extract( char *prefix, int fdin, int display, archive_filter filter );

#endif /* OVERRIDE_ARCHIVE_EXTRACT_H */
