DB_DEPENDS := $(DIR_STAGE)/debootstrap \
			  $(DIR_STAGE)/packages \
			  $(DIR_STAGE)/aertree \
			  $(DIR_STAGE)/cpd.cpd2 \
			  $(DIR_STAGE)/cpd3 \
			  $(DIR_STAGE)/csv_xs

$(DIR_STAGE)/db: $(DB_DEPENDS) $(DIR_STAGE)/.package.setup $(DIR_STAGE)/.package.tools envstrip
	-rm -f $@
	-rm -rf $(DIR)/aer/db
	svn export svn+ssh://svn@aerosw/main/db/trunk $(DIR)/aer/db
	rsync -a --cvs-exclude \
		--exclude="sqldb*.conf" \
		--exclude="nrt*.conf" \
		--exclude="niluarchive*.conf"\
		--exclude="upload.*.conf" \
		--exclude="ebas.import*conf" \
		/aer/db/etc $(DIR)/aer/db/
	-rm -rf $(DIR)/aer/db/src/EBAS_MTM
	$(IMGEXECNRBR) \
		$(IMGEXECNRBE) \
			LD_PRELOAD="$(DIR)/usr/lib/libgmp.so.3" \
		$(IMGEXECNRBO) \
		make -C /aer/db/src install $(IMGEXECNRE)
	-mkdir -p $(DIR)/aer/db/.cache
	-mkdir -p $(DIR)/aer/db/stn
	-rm -rf $(DIR)/aer/db/doc
	touch $@

TARGETS += $(DIR_STAGE)/db
