CPD3_DEPENDS := $(DIR_STAGE)/debootstrap \
		   	    $(DIR_STAGE)/packages \
		   	    $(DIR_STAGE)/aertree \
			   	$(DIR_STAGE)/csv_xs

$(DIR_STAGE)/cpd3: $(CPD_DEPENDS) $(DIR_STAGE)/.package.setup $(DIR_STAGE)/.package.tools envstrip
	-rm -f $@
	-rm -rf $(DIR)/aer/prg/cpd3
	svn export svn+ssh://svn@aerosw/main/cpd3/trunk $(DIR)/aer/prg/cpd3
	-mkdir -p /usr/lib/qt4
	-ln -fs  ../../share/qt4/bin $(DIR)/usr/lib/qt4/bin
	-ln -fs  ../../share/qt4/include $(DIR)/usr/lib/qt4/include
	-ln -fs  ../../share/qt4/mkspecs $(DIR)/usr/lib/qt4/mkspecs
	-echo -e "#!/bin/bash\n \
			cd /aer/prg/cpd3/src || exit 1\n \
			qmake || exit 1\n \
			make || exit 1\n \
			make install || exit 1\n \
			make clean || exit 1\n" > $(DIR)/aer/prg/cpd3/.exec
	-chmod 0755 $(DIR)/aer/prg/cpd3/.exec
	$(IMGEXECNRB) /aer/prg/cpd3/.exec $(IMGEXECNRE)
	-rm -f $(DIR)/aer/prg/cpd3/.exec
	for dir in `find $(DIR)/aer/prg/cpd3/bin -mindepth 2 -maxdepth 2 -type d -name "lib"`; do cd $$dir; mkdir -p perl5; find perl -mindepth 1 -maxdepth 1 -type d -exec ln -fs ../\{\} perl5/site_perl \; ; done
	touch $@

TARGETS += $(DIR_STAGE)/cpd3
